import { TreeView, IFilter, ISort, TreeNode } from './node';
export interface IUseTreeState {
    id: string;
    data: any;
    filter?: IFilter;
    sort?: ISort;
    defaultOpened?: boolean | number[];
    multipleSelect?: boolean;
}
export declare const useTreeState: ({ id, data, filter, sort, defaultOpened, multipleSelect }: IUseTreeState) => {
    instance: TreeView;
    handlers: {
        setOpen: (node: TreeNode) => void;
        setLoading: (node: TreeNode, loading?: boolean | undefined) => void;
        setSelected: (node: TreeNode, selected?: boolean | undefined) => void;
        setChildren: (parent: TreeNode, children: TreeNode[], type?: "first" | "last" | undefined, reset?: boolean | undefined) => void;
    };
    required: {
        data: TreeNode[];
    };
};
